Index: c/src/lib/libbsp/unix/posix/ChangeLog
===================================================================
--- c/src/lib/libbsp/unix/posix/ChangeLog	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ c/src/lib/libbsp/unix/posix/ChangeLog	(revision dd551dbf0271b5994924e48f2e6cb95fbb7a9112)
@@ -1,2 +1,11 @@
+2004-01-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Merge-in clock/Makefile.am, console/Makefile.am,
+	shmsupp/Makefile.am, startup/Makefile.am, timer/Makefile.am,
+	wrapup/Makefile.am. Use automake compilation rules.
+	* clock/Makefile.am, console/Makefile.am, shmsupp/Makefile.am,
+	startup/Makefile.am, timer/Makefile.am, wrapup/Makefile.am: Remove.
+	* configure.ac: Reflect changes above.
+
 2004-01-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/unix/posix/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/Makefile.am	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ c/src/lib/libbsp/unix/posix/Makefile.am	(revision dd551dbf0271b5994924e48f2e6cb95fbb7a9112)
@@ -7,23 +7,151 @@
 # wrapup is the one that actually builds and installs the library
 # from the individual .rel files built in other directories
-SUBDIRS = . startup clock console timer shmsupp wrapup tools
+SUBDIRS = . tools
 
+include $(top_srcdir)/../../../../automake/compile.am
 include $(top_srcdir)/../../bsp.am
 
-nodist_include_HEADERS += $(top_srcdir)/../../shared/include/coverhd.h
+EXTRA_PROGRAMS =
+CLEANFILES =
+noinst_DATA =
 
-all-local: $(PREINSTALL_FILES)
+nodist_include_HEADERS += ../../shared/include/coverhd.h
+
+AM_CFLAGS += $(LIBC_DEFINES)
+
+project_lib_DATA =
+
+if HAS_CXX
+# FIXME: libno-ctor ??
+
+# We install the RTEMS constructor as a separate .$(OBJEXT)
+# so it can be easily place correctly by the compiler config file.
+rtems-ctor$(LIB_VARIANT).$(OBJEXT): startup/rtems-ctor.cc
+	${CXXCOMPILE} -o $@ -c $<
+project_lib_DATA += rtems-ctor$(LIB_VARIANT).$(OBJEXT)
+
+no-ctor$(LIB_VARIANT).$(OBJEXT): startup/no-ctor.cc
+	${CXXCOMPILE} -o $@ -c $<
+
+project_lib_DATA += no-ctor$(LIB_VARIANT).$(OBJEXT)
+endif
+
+EXTRA_PROGRAMS += startup.rel
+CLEANFILES += startup.rel
+startup_rel_SOURCES = startup/bspclean.c ../../shared/bsplibc.c \
+    startup/bspstart.c startup/setvec.c
+if HAS_CXX
+startup_rel_SOURCES += startup/main.c
+endif
+
+startup_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+EXTRA_PROGRAMS += startup_g.rel
+CLEANFILES += startup_g.rel
+startup_g_rel_SOURCES = $(startup_rel_SOURCES)
+startup_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
+startup_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+noinst_DATA += startup$(LIB_VARIANT).rel
+
+EXTRA_PROGRAMS += clock.rel
+CLEANFILES += clock.rel
+clock_rel_SOURCES = clock/clock.c
+clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+EXTRA_PROGRAMS += clock_g.rel
+CLEANFILES += clock_g.rel
+clock_g_rel_SOURCES = $(clock_rel_SOURCES)
+clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
+clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+noinst_DATA += clock$(LIB_VARIANT).rel
+
+EXTRA_PROGRAMS += console.rel
+CLEANFILES += console.rel
+console_rel_SOURCES = console/console.c
+console_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+EXTRA_PROGRAMS += console_g.rel
+CLEANFILES += console_g.rel
+console_g_rel_SOURCES = $(console_rel_SOURCES)
+console_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
+console_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+noinst_DATA += console$(LIB_VARIANT).rel
+
+EXTRA_PROGRAMS += timer.rel
+CLEANFILES += timer.rel
+timer_rel_SOURCES = timer/timer.c
+timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+EXTRA_PROGRAMS += timer_g.rel
+CLEANFILES += timer_g.rel
+timer_g_rel_SOURCES = $(timer_rel_SOURCES)
+timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
+timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+noinst_DATA += timer$(LIB_VARIANT).rel
+
+if HAS_MP
+EXTRA_PROGRAMS += shmsupp.rel
+CLEANFILES += shmsupp.rel
+shmsupp_rel_SOURCES = shmsupp/addrconv.c shmsupp/getcfg.c \
+    shmsupp/cause_intr.c shmsupp/lock.c shmsupp/mpisr.c
+shmsupp_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+shmsupp_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+EXTRA_PROGRAMS += shmsupp_g.rel
+CLEANFILES += shmsupp_g.rel
+shmsupp_g_rel_SOURCES = $(shmsupp_rel_SOURCES)
+shmsupp_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
+shmsupp_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+noinst_DATA += shmsupp$(LIB_VARIANT).rel
+endif
+
+EXTRA_LIBRARIES = libbsp.a
+CLEANFILES += libbsp.a
+libbsp_a_SOURCES =
+libbsp_a_LIBADD = startup$(LIB_VARIANT).rel clock$(LIB_VARIANT).rel \
+    console$(LIB_VARIANT).rel timer$(LIB_VARIANT).rel
+if HAS_MP
+libbsp_a_LIBADD += shmsupp$(LIB_VARIANT).rel
+endif
+EXTRA_LIBRARIES += libbsp_g.a
+CLEANFILES += libbsp_g.a
+libbsp_g_a_SOURCES = $(libbsp_a_SOURCES)
+libbsp_g_a_LIBADD = $(libbsp_a_LIBADD)
+
+noinst_DATA += libbsp$(LIB_VARIANT).a
+
+all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = times
 
 PREINSTALL_DIRS =
+TMPINSTALL_FILES =
 
-$(PROJECT_INCLUDE)/coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h $(PROJECT_INCLUDE)/$(dirstamp)
+$(PROJECT_INCLUDE)/coverhd.h: ../../shared/include/coverhd.h $(PROJECT_INCLUDE)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/coverhd.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
-CLEANFILES = $(PREINSTALL_FILES)
+if HAS_CXX
+$(PROJECT_LIB)/rtems-ctor$(LIB_VARIANT).$(OBJEXT): rtems-ctor$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/rtems-ctor$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/rtems-ctor$(LIB_VARIANT).$(OBJEXT)
+
+$(PROJECT_LIB)/no-ctor$(LIB_VARIANT).$(OBJEXT): no-ctor$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/no-ctor$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/no-ctor$(LIB_VARIANT).$(OBJEXT)
+endif
+
+CLEANFILES += $(PREINSTALL_FILES)
 DISTCLEANFILES = $(PREINSTALL_DIRS)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-include $(top_srcdir)/../../../../automake/subdirs.am
 include $(top_srcdir)/../../../../automake/local.am
Index: src/lib/libbsp/unix/posix/clock/.cvsignore
===================================================================
--- c/src/lib/libbsp/unix/posix/clock/.cvsignore	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/unix/posix/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/clock/Makefile.am	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,31 +1,0 @@
-##
-## $Id$
-##
-
-PGM = $(ARCH)/clock.rel
-
-C_FILES = clock.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-OBJS = $(C_O_FILES)
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-# the .rel file built here will be put into libbsp.a by
-#    ../wrapup/Makefile
-
-all-local: $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = clock.c
-
-include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/unix/posix/configure.ac
===================================================================
--- c/src/lib/libbsp/unix/posix/configure.ac	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ c/src/lib/libbsp/unix/posix/configure.ac	(revision dd551dbf0271b5994924e48f2e6cb95fbb7a9112)
@@ -39,10 +39,4 @@
 
 # Explicitly list all Makefiles here
-AC_CONFIG_FILES([Makefile
-clock/Makefile
-console/Makefile
-shmsupp/Makefile
-startup/Makefile
-timer/Makefile
-wrapup/Makefile])
+AC_CONFIG_FILES([Makefile])
 AC_OUTPUT
Index: src/lib/libbsp/unix/posix/console/.cvsignore
===================================================================
--- c/src/lib/libbsp/unix/posix/console/.cvsignore	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/unix/posix/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/console/Makefile.am	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,30 +1,0 @@
-##
-## $Id$
-##
-
-PGM = $(ARCH)/console.rel
-
-C_FILES = console.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-OBJS = $(C_O_FILES)
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-# the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-
-all-local: $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = console.c
-
-include $(top_srcdir)/../../../../automake/local.am
Index: src/lib/libbsp/unix/posix/shmsupp/.cvsignore
===================================================================
--- c/src/lib/libbsp/unix/posix/shmsupp/.cvsignore	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/unix/posix/shmsupp/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/shmsupp/Makefile.am	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,32 +1,0 @@
-##
-## $Id$
-##
-
-PGM = $(ARCH)/shmsupp.rel
-
-C_FILES = addrconv.c getcfg.c cause_intr.c lock.c mpisr.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-OBJS = $(C_O_FILES)
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-if HAS_MP
-all-local: $(OBJS) $(PGM)
-endif
-
-# the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = README addrconv.c cause_intr.c getcfg.c lock.c mpisr.c
-
-include $(top_srcdir)/../../../../automake/local.am
Index: src/lib/libbsp/unix/posix/startup/.cvsignore
===================================================================
--- c/src/lib/libbsp/unix/posix/startup/.cvsignore	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/unix/posix/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/startup/Makefile.am	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,75 +1,0 @@
-##
-##  $Id$
-##
-
-VPATH = @srcdir@:@srcdir@/../../../shared
-
-PGM = ${ARCH}/startup.rel
-
-if HAS_CXX
-C_MAIN_C_FILES =
-else
-C_MAIN_C_FILES = main.c
-endif
-
-# C sources
-C_FILES = bspclean.c bsplibc.c bspstart.c setvec.c $(C_MAIN_C_FILES)
-C_O_FILES = $(C_FILES:%.c=${ARCH}/%.$(OBJEXT))
-startup_rel_OBJECTS = $(C_O_FILES)
-
-# CC sources
-CC_FILES = rtems-ctor.cc
-CC_O_FILES = $(CC_FILES:%.cc=${ARCH}/%.$(OBJEXT)}
-
-# We install the RTEMS constructor as a separate .$(OBJEXT)
-# so it can be easily place correctly by the compiler config file.
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-AM_CFLAGS += $(LIBC_DEFINES)
-
-$(PGM): $(startup_rel_OBJECTS)
-	$(make-rel)
-
-if HAS_CXX
-project_lib_DATA = ${ARCH}/libno-ctor$(LIB_VARIANT).a
-
-${ARCH}/libno-ctor$(LIB_VARIANT).a: $(ARCH)/no-ctor.$(OBJEXT)
-	$(AR) -cvr $@ $<
-
-${ARCH}/rtems-ctor$(LIB_VARIANT).$(OBJEXT): rtems-ctor.cc $(ARCH)/$(dirstamp)
-	${CXXCOMPILE} -o $@ -c $<
-
-project_lib_DATA += ${ARCH}/rtems-ctor$(LIB_VARIANT).$(OBJEXT)
-endif
-
-all-local: $(PGM) $(TMPINSTALL_FILES)
-
-EXTRA_DIST = bspclean.c bspstart.c exit.c main.c no-ctor.c rtems-ctor.cc \
-    setvec.c
-
-TMPINSTALL_FILES =
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-TMPINSTALL_FILES += $(PROJECT_LIB)/$(dirstamp)
-
-if HAS_CXX
-$(PROJECT_LIB)/libno-ctor$(LIB_VARIANT).a: ${ARCH}/libno-ctor$(LIB_VARIANT).a $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/libno-ctor$(LIB_VARIANT).a
-TMPINSTALL_FILES += $(PROJECT_LIB)/libno-ctor$(LIB_VARIANT).a
-
-$(PROJECT_LIB)/rtems-ctor$(LIB_VARIANT).$(OBJEXT): ${ARCH}/rtems-ctor$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/rtems-ctor$(LIB_VARIANT).$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/rtems-ctor$(LIB_VARIANT).$(OBJEXT)
-endif
-
-CLEANFILES = $(TMPINSTALL_FILES)
-
-include $(top_srcdir)/../../../../automake/local.am
Index: src/lib/libbsp/unix/posix/timer/.cvsignore
===================================================================
--- c/src/lib/libbsp/unix/posix/timer/.cvsignore	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/unix/posix/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/timer/Makefile.am	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,31 +1,0 @@
-##
-## $Id$
-##
-
-PGM = $(ARCH)/timer.rel
-
-C_FILES = timer.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-OBJS = $(C_O_FILES)
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-# the .rel file built here will be put into libbsp.a by
-#    ../wrapup/Makefile
-
-all-local: $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = timer.c
-
-include $(top_srcdir)/../../../../automake/local.am
Index: src/lib/libbsp/unix/posix/wrapup/.cvsignore
===================================================================
--- c/src/lib/libbsp/unix/posix/wrapup/.cvsignore	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/unix/posix/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/wrapup/Makefile.am	(revision c6cf3baea3329647e853db7419cb02bf8322be7e)
+++ 	(revision )
@@ -1,21 +1,0 @@
-##
-## $Id$
-##
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-if HAS_MP
-BSP_MP_O_FILES = shmsupp
-endif
-BSP_FILES = startup clock console timer $(BSP_MP_O_FILES)
-
-# bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), ../$(piece)/$(ARCH)/*.$(OBJEXT))
-
-$(ARCH)/libbsp.a: $(OBJS)
-	$(make-library)
-
-noinst_DATA = $(ARCH)/libbsp.a
-
-include $(top_srcdir)/../../../../automake/local.am
